Create Layer problem R2012

Discussion of other Lisp dialects (Arc, Clojure, AutoLisp, XLISP, etc.)

Create Layer problem R2012

Postby dndaas » Mon Dec 03, 2012 12:07 pm

Hi Lisp-ers,

I’ve got a lisp routine that creates a layer, sets the color, weight and specially the description.
It works perfectly in AutoCAD2010. Now I’m upgrading to AutoCAD 2012 and the program will not work….

Can anybody help my, with correcting my program, or sharing another working one?


(defun CreateLayer (Name FrzLock Color LType Plot LWeight Desc)
(entmakex
(list (cons 0 "LAYER")
(cons 100 "AcDbSymbolTableRecord")
(cons 100 "AcDbLayerTableRecord")
(cons 2 Name)
(cons 70 FrzLock)
(cons 62 Color)
(cons 6 LType)
(cons 290 Plot)
(cons 370 LWeight)
(list -3 (list "AcAecLayerStandard" (cons 1000 "") (cons 1000 Desc)))
)
)
(setvar "CLAYER" Name)
)




Thank you,
Marc
dndaas
 
Posts: 1
Joined: Fri Nov 30, 2012 7:12 am

Re: Create Layer problem R2012

Postby nuntius » Mon Dec 03, 2012 8:12 pm

Hi Marc,

I haven't used AutoLISP in years and so can't really help you.
This list of other AutoLISP forums may be more helpful.
User avatar
nuntius
 
Posts: 497
Joined: Sat Aug 09, 2008 10:44 am
Location: Burlington, MA


Return to Other Dialects

Who is online

Users browsing this forum: No registered users and 1 guest

cron